#!/usr/local/bin/perl -wT
# Copyright Andru Luvisi, 1999
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program (see the file COPYING); if not, write to the
# Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA


use CGI;
use CGI::Carp qw(fatalsToBrowser);
use HTML::Template;
use strict;

use vars qw($query @lhfm $counter @labels $first $second $fwork $swork $work
	$both $display $ddisplay $template);

$query=CGI->new();

@lhfm = ("Love", "Hate", "Friendship", "Marriage");
$first = $query->param("first");
$second = $query->param("second");
$both = "$first $second";

$fwork = $first;
$swork = $second;
$fwork =~ tr/A-Z/a-z/;
$swork =~ tr/A-Z/a-z/;
$fwork =~ s/./$swork =~ s:$&:N: ? "N" : "Y"/eg;
$swork =~ s/[a-z]/Y/g;
$work = "$fwork $swork";
$work =~ s/[^Y]/N/g;

$display="$both\n\n";
@labels = ();
$counter = -1;
foreach my $letter (split(//, $work)) {
 if($letter eq "Y") {
  $counter = ($counter + 1) % 4;
  push(@labels, scalar(reverse($lhfm[$counter])));
 } else {
  push(@labels, '');
 }
}

foreach my $line (0..9) {
 foreach my $word (@labels) {
  if($word ne '') {
   $display .= chop($word);
  } else {
   $display .= ' ';
  }
 }
 $display .= "\n";
}

$display =~ s/[^\n]/$& /g;

$template = HTML::Template->new(filename => "lhfm.tmpl",
				die_on_bad_params => 0);
$template->param("display", $display);
$template->param("result", $lhfm[$counter]);
print $query->header(), $template->output, "\n";
exit(0)
